GMERLIN_SSIM(1)

NAME
gmerlin_ssim - compare two images

SYNOPSIS
gmerlin_ssim <image1> <image2> [<output_image>]

DESCRIPTION
gmerlin_ssim will calculate the structural similarity between <image1> and <image2> and store the resulting image into <output_image>. The input images should be of the same dimension and format. The SSIM algorithm is taken from the paper "Image Quality Assessment: From Error Visibility to Structural Similarity" by Z. Want et. al. published in IEEE Transactions on image processing, VOL. 13, NO. 4, APRIL 2004. Homepage of the author:

http://www.ece.uwaterloo.ca/~z70wang/research/ssim/ gmerlin_ssim is part of the Gmerlin suite of media applications.